package com.zayhu;

import android.os.Bundle;
import com.zayhu.ICallBackInterface;

interface IZayhuUiBind {
    boolean hasFollow(String subscriptionAccount);
    int followSubscription(String subscriptionAccount);
    long getServerTime();
    String getNoCountryCodeDevicePhoneNumber();
    String getNoCountryCodeUserPhoneNumber();
    String getCookie(String id);
    boolean checkCookie(String cookieUserName);
    String getUserName();
    int getFriendCount();
    List<String> getHuaweiUrls();
    int openToTokUI(String link);
    boolean reportWebEvent(String event, String bundleJson);
    String getUserGender();
    String getUserAvatarWithBase64();
    String getWebConfig();
    boolean isGroupMember(String groupHid);
    void registerListener(ICallBackInterface callBack);
    int getPayResult(String uuid);
    String getUserHid();
    String getNewsLanguage();
    void setNewsLanguage(String language);
    void setTheLatestNewsTime(String lates);
    String getUserNAndC();
    void goReportFragment(String newsReport);
    String getShortUrl(String longUrl);
    String getAppLanguage();
    void setDiscoverCommonMarkRead(String url,boolean isUpdate);
    String getWebWhiteList();
    boolean getPackUpState();
    String getFireBaseRemoteConfig(String key);
    String executeVoiceAction(String string);
    String getClientRemoteConfig(String key);
    String requestToken(String appId);
    void onWebGameShow();
    void updateWebGameInfo(String name, String iconUrl, String gameUrl);
    void dismissGameFloatView();
    void notifyPayResult(String payResult);
    boolean followDoyPopOfficialAccount(String id);
    boolean isDaypopFollowDialogShow();
    void setDaypopFollowDialogShow(boolean isShow);
    void openOaActivity(String oaId);
}