precision mediump float;

varying vec2 v_texcoord;
uniform sampler2D s_texture_y;
uniform sampler2D s_texture_u;
uniform sampler2D s_texture_v;

void main()
{
    float y = texture2D(s_texture_y, v_texcoord).r;
    float u = texture2D(s_texture_u, v_texcoord).r - 0.5;
    float v = texture2D(s_texture_v, v_texcoord).r - 0.5;
    
    //     if ( u > -0.2 && u < 0.0 && v > 0.02 && v < 0.18 ){
    //         u = 0.0;
    //         v = 0.0;
    //     }
    float r = y +             1.402 * v;
    float g = y - 0.344 * u - 0.714 * v;
    float b = y + 1.772 * u;
    
    gl_FragColor = vec4(r,g,b,1.0);
}